Subject: 23.1.96; Viper <I>nsert mode motion commands severely delayed

From: David Reitter <[email-masked]>
Date: Thu, 6 May 2010 23:18:31 -0400

X-Debbugs-CC:[email-masked]

I see the below bug in a new 23 branch build.

The cursor appears stuck (but flickering) when holding C-b in viper (expert 5) insert mode.  

Begin forwarded message:

> From: [email-masked]
> Date: May 6, 2010 6:05:53 PM EDT
> To: [email-masked]
> Subject: [Aquamacs-bugs] 23.1.96 [2.0 preview6]; Viper <I>nsert mode motion commands severely delayed
> Reply-To: Bug reports for Aquamacs Emacs <[email-masked]>
> 
> When I enter M-x viper-mode, and then enter <I>nsert mode in level 5 ("expert" mode: viper-expert-level '5), then motion commands like (C-b, C-f) do not swiftly move me through the text.  Instead, when I depress that sequence, I see the cursor toggling between red and green.  Presumably, the Emacs motion characters, when enabled within Viper <I>nsert mode, actually temporarily switch over to Emacs mode to execute.  That's only a guess.  But what I do notice is that instead of the cursor moving 25 to 30 characters to the left or right per second, there is a slowdown by a factor of five.  And the toggling colour is distracting.
> 
> 
> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
> 
> Your bug report will be posted to the [email-masked] mailing list,
> and may appear in other public locations.
> 
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug.  If you can, give
> a recipe starting with an Aquamacs without customization
> for which see the Help / Diagnose and Report Bug menu:
> 
> Enter your bug report here.
> 
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>    `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> /Applications/Aquamacs.app/Contents/Resources/etc/DEBUG.
> 
> 
> In GNU Emacs 23.1.96.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
> of 2010-05-03 on braeburn.aquamacs.org - Aquamacs Distribution 2.0preview6
> Windowing system distributor `Apple', version 10.3.1038
> configured using `configure  '--with-ns' '--without-x' 'CFLAGS=-arch i386 -arch ppc' 'LDFLAGS=-arch i386 -arch ppc''
> 
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: nil
>  value of $XMODIFIERS: nil
>  locale-coding-system: nil
>  default enable-multibyte-characters: t
> 
> Major mode: Fundamental
> 
> Minor modes in effect:
>  display-time-mode: t
>  savehist-mode: t
>  smart-frame-positioning-mode: t
>  aquamacs-autoface-mode: t
>  recentf-mode: t
>  osx-key-mode: t
>  tabbar-mwheel-mode: t
>  tabbar-mode: t
>  show-paren-mode: t
>  delete-selection-mode: t
>  pc-selection-mode: t
>  cua-mode: t
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  size-indication-mode: t
>  column-number-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> 
> Recent messages:
> Loading /Users/user/.viper...done
> Loading viper...done
> Making completion list... [2 times]
> 
> Load-path shadows:
> /Users/user/.emacs.d/elpa/clojure-mode-1.6/clojure-mode hides /Users/user/Library/Preferences/Aquamacs Emacs/clojure-mode
> /Users/user/.emacs.d/elpa/slime-20091016/slime hides /Library/Application Support/Aquamacs Emacs/SLIME/slime
> /Users/user/.emacs.d/elpa/slime-20091016/slime-autoloads hides /Library/Application Support/Aquamacs Emacs/SLIME/slime-autoloads
> /Library/Application Support/Aquamacs Emacs/JDEE/site-start hides /Library/Application Support/Aquamacs Emacs/SLIME/site-start
> /Users/user/.emacs.d/elpa/slime-repl-20091016/slime-repl hides /Library/Application Support/Aquamacs Emacs/SLIME/contrib/slime-repl
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/speedbar/speedbar hides /Applications/Aquamacs.app/Contents/Resources/lisp/speedbar
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/speedbar/sb-image hides /Applications/Aquamacs.app/Contents/Resources/lisp/sb-image
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/common/ezimage hides /Applications/Aquamacs.app/Contents/Resources/lisp/ezimage
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/speedbar/dframe hides /Applications/Aquamacs.app/Contents/Resources/lisp/dframe
> /Users/user/.emacs.d/elpa/css-mode-1.0/css-mode hides /Applications/Aquamacs.app/Contents/Resources/lisp/textmodes/css-mode
> /Users/user/.emacs.d/elpa/emms-3.0/tq hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/tq
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/eieio/eieio hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/eieio
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/eieio/eieio-speedbar hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/eieio-speedbar
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/eieio/eieio-opt hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/eieio-opt
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/eieio/eieio-custom hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/eieio-custom
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/eieio/eieio-comp hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/eieio-comp
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/eieio/eieio-base hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/eieio-base
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/eieio/chart hides /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/chart
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/semantic/semantic hides /Applications/Aquamacs.app/Contents/Resources/lisp/cedet/semantic
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/common/mode-local hides /Applications/Aquamacs.app/Contents/Resources/lisp/cedet/mode-local
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/common/inversion hides /Applications/Aquamacs.app/Contents/Resources/lisp/cedet/inversion
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/ede/ede hides /Applications/Aquamacs.app/Contents/Resources/lisp/cedet/ede
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/common/cedet hides /Applications/Aquamacs.app/Contents/Resources/lisp/cedet/cedet
> /Library/Application Support/Aquamacs Emacs/JDEE/cedet/common/cedet-files hides /Applications/Aquamacs.app/Contents/Resources/lisp/cedet/cedet-files
> /Library/Application Support/Aquamacs Emacs/JDEE/site-start hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/site-start
> 
> Features:
> (shadow sort mail-extr message ecomplete rfc822 mml mml-sec
> password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
> rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
> mm-util mail-prsvr gmm-utils mailheader canlock sha1 hex-util hashcash
> mail-utils emacsbug viper viper-ex viper-macs viper-mous viper-cmd
> viper-keym ring viper-util viper-init archive-downloader-autoloads
> chess-autoloads clojure-test-mode-autoloads columnify-autoloads
> confluence-autoloads css-mode-autoloads emms-autoloads info
> epresent-autoloads paredit-autoloads swank-clojure-autoloads
> clojure-mode-autoloads slime-repl-autoloads xml-rpc-autoloads package
> reporter clojure-mode time slime-autoloads load-emacs-plugins
> aquamacs-mode-defaults auctex-config server tex-site smart-dnd
> aquamacs-aux savehist mouse-sel one-buffer-one-frame
> smart-frame-positioning drews_init color-theme-autoloads saveplace
> visual-line aquamacs-bug aquamacs-autoface-mode aquamacs-editing
> sendmail recentf tree-widget cus-edit osxkeys emulate-mac-keyboard-mode
> frame-cmds strings misc-fns thingatpt+ thingatpt frame-fns avoid
> aquamacs-mac-fontsets fit-frame aquamacs-frame-setup aquamacs-tabbar
> tabbar-window cl cl-19 tabbar easy-mmode cus-start cus-load
> load-emacs-pre-plugins aquamacs-site-start cocoa-compatibility filladapt
> aquamacs-redo check-for-updates aquamacs-menu osx_defaults
> aquamacs-tool-bar aquamacs mac-extra-functions aquamacs-tools
> aquamacs-macros parse-time timezone time-date paren delsel pc-select
> cua-base wid-edit regexp-opt advice advice-preload byte-opt bytecomp
> byte-compile debug help-fns help-mode view image-file disp-table tooltip
> ediff-hook vc-hooks lisp-float-type mwheel ns-win easymenu tool-bar dnd
> fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
> select scroll-bar mldrag mouse jit-lock font-lock syntax facemenu
> font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
> thai tai-viet lao korean japanese hebrew greek romanian slovak czech
> european ethiopic indian cyrillic chinese case-table epa-hook
> jka-cmpr-hook help simple abbrev loaddefs button minibuffer faces
> cus-face files text-properties overlay md5 base64 format env code-pages
> mule custom widget hashtable-print-readable backquote
> make-network-process ns multi-tty emacs)
> 
> Command line: (/Applications/Aquamacs.app/Contents/MacOS/Aquamacs)
> 
> PATH: /usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/texbin:/usr/local/texlive/2009/bin:/usr/local/texlive/2008/bin
> 
> exec-path: (/usr/bin /bin /usr/sbin /sbin /usr/local/bin /usr/X11/bin /usr/bin /bin /usr/sbin /sbin /Applications/Aquamacs.app/Contents/MacOS/bin /usr/texbin /usr/local/texlive/2009/bin /usr/local/texlive/2008/bin)
> ______________________________